function [fighandle]=colhist(matrix);

A=1.0;

[m,n,p]=size(matrix);


for i=1:n
    for j=1:p;
        A=cat(1,A,double(matrix(:,i,j)));
    end
end

A(1)=[];

fighandle=figure;

hist(A,100);
disp('variance:');
var(A)

clear A m n p i j 